import { VisualElementAnimationControls, AnimationControlsConfig } from "./VisualElementAnimationControls";
import { MotionProps } from "../motion/types";
import { VisualElement } from "../render/VisualElement";
/**
 * Creates an imperative set of controls to trigger animations.
 *
 * This allows a consolidated, uniform API for animations, to be triggered by other APIs like the `animate` prop, or the gesture handlers.
 *
 * @internal
 */
export declare function useVisualElementAnimation<P>(visualElement: VisualElement, props: P & MotionProps, config: AnimationControlsConfig): VisualElementAnimationControls<P, {}>;
